package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 商品分类对象 fs_store_product_category
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreProductCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商品分类表ID */
    private Long cateId;

    /** 父id */
    @Excel(name = "父id")
    private Long pid;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 图标 */
    @Excel(name = "图标")
    private String pic;

    /** 是否推荐 */
    @Excel(name = "是否推荐")
    private Integer isShow;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Integer isDel;

    public void setCateId(Long cateId) 
    {
        this.cateId = cateId;
    }

    public Long getCateId() 
    {
        return cateId;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public void setCateName(String cateName)
    {
        this.cateName = cateName;
    }

    public String getCateName() 
    {
        return cateName;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setPic(String pic) 
    {
        this.pic = pic;
    }

    public String getPic() 
    {
        return pic;
    }
    public void setIsShow(Integer isShow) 
    {
        this.isShow = isShow;
    }

    public Integer getIsShow() 
    {
        return isShow;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }


}
